<?php
session_start();
include 'db_connect.php';

// Benutzer-ID aus der Session abrufen
$user_id = $_SESSION['user_id'] ?? null;

if ($user_id) {
    // Token aus der auth_tokens-Tabelle für den aktuellen Benutzer löschen
    $stmt = $pdo->prepare('DELETE FROM auth_tokens WHERE user_id = ?');
    $stmt->execute([$user_id]);
}

// Remember-Me-Cookie entfernen, falls vorhanden
if (isset($_COOKIE['remember_token'])) {
    setcookie('remember_token', '', time() - 3600, '/', '', false, true);
}

// Alle Session-Daten löschen
$_SESSION = [];
session_unset();
session_destroy();

// Sicherstellen, dass keine alten Session-Cookies mehr im Browser sind
setcookie(session_name(), '', time() - 3600, '/');

// Umleitung zur Login-Seite
header('Location: login.php');
exit();
?>
